<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>postamat-office documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	    <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">postamat-office documentation</a>
            <button type="button" class="btn btn-default btn-menu fa fa-bars" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
            <div id="book-search-input" role="search">
                <input type="text" placeholder="Type to search">
            </div>
            <nav>
            
                <ul class="list">
            
                    <li class="title">
                        <a href="./">postamat-office documentation</a>
                    </li>
            
                    <li class="divider"></li>
            
            
                    <li class="chapter">
                        <a data-type="chapter-link" href="./"><span class="fa fa-home"></span>Getting started</a>
                        <ul class="links">
                                <li class="link">
                                    <a href="./"  class="active" ><span class="fa fa-file-text-o"></span>README</a>
                                </li>
                                <li class="link">
                                    <a  href="./overview.html" 
                                        
                                         href="./overview.html" 
                                        
                                        >
                                        <span class="fa fa-th"></span>Overview
                                    </a>
                                </li>
                        </ul>
                    </li>
            
                    <li class="chapter">
                        <a data-type="chapter-link" href="./modules.html" >
                            <span class="fa fa-archive"></span>
                            <span>Modules</span>
                            <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                    data-target="#xs-modules-links"
                            ></span>
                        </a>
                        <ul class="links collapse in"
                                id="xs-modules-links"
                            >
                                <li class="link">
                                    <a href="modules/AboutModule.html" >AboutModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/AppModule.html" >AppModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/AuthModule.html" >AuthModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/HomeModule.html" >HomeModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/I18nModule.html" >I18nModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/SharedModule.html" >SharedModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/ShellModule.html" >ShellModule</a>
                                </li>
                        </ul>
                    </li>
            
                    <li class="chapter">
                        <div class="simple">
                            <span class="fa fa-cogs"></span>
                            <span>Components</span>
                            <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                    data-target="#xs-components-links"
                                ></span>
                        </div>
                        <ul class="links collapse in"
                                id="xs-components-links"
                            >
                                <li class="link">
                                    <a href="components/AboutComponent.html" >AboutComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/AppComponent.html" >AppComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/AppSidebarComponent.html" >AppSidebarComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/HeaderComponent.html" >HeaderComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/HomeComponent.html" >HomeComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/LanguageSelectorComponent.html" >LanguageSelectorComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/LoaderComponent.html" >LoaderComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/LoginComponent.html" >LoginComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/ShellComponent.html" >ShellComponent</a>
                                </li>
                        </ul>
                    </li>
            
            
                    <li class="chapter">
                        <div class="simple">
                            <span class="fa fa-file-code-o"></span>
                            <span>Classes</span>
                            <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                    data-target="#xs-classes-links"
                                ></span>
                        </div>
                        <ul class="links collapse in"
                                id="xs-classes-links"
                            >
                                <li class="link">
                                    <a href="classes/Logger.html" >Logger</a>
                                </li>
                                <li class="link">
                                    <a href="classes/MockAuthenticationService.html" >MockAuthenticationService</a>
                                </li>
                                <li class="link">
                                    <a href="classes/MockCredentialsService.html" >MockCredentialsService</a>
                                </li>
                                <li class="link">
                                    <a href="classes/Shell.html" >Shell</a>
                                </li>
                        </ul>
                    </li>
            
            
                    <li class="chapter">
                        <div class="simple">
                            <span class="fa fa-long-arrow-down"></span>
                            <span>Injectables</span>
                            <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                    data-target="#xs-injectables-links"
                                ></span>
                        </div>
                        <ul class="links collapse in"
                                id="xs-injectables-links"
                            >
                                <li class="link">
                                    <a href="injectables/ApiPrefixInterceptor.html" >ApiPrefixInterceptor</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/AuthenticationGuard.html" >AuthenticationGuard</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/AuthenticationService.html" >AuthenticationService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/CredentialsService.html" >CredentialsService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/ErrorHandlerInterceptor.html" >ErrorHandlerInterceptor</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/I18nService.html" >I18nService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/QuoteService.html" >QuoteService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/RouteReusableStrategy.html" >RouteReusableStrategy</a>
                                </li>
                        </ul>
                    </li>
            
                    <li class="chapter">
                        <div class="simple">
                            <span class="fa fa-info"></span>
                            <span>Interfaces</span>
                            <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                    data-target="#xs-interfaces-links"
                                ></span>
                        </div>
                        <ul class="links collapse in"
                                id="xs-interfaces-links"
                            >
                                <li class="link">
                                    <a href="interfaces/Credentials.html" >Credentials</a>
                                </li>
                                <li class="link">
                                    <a href="interfaces/LoginContext.html" >LoginContext</a>
                                </li>
                                <li class="link">
                                    <a href="interfaces/RandomQuoteContext.html" >RandomQuoteContext</a>
                                </li>
                        </ul>
                    </li>
            
            
                    <li class="chapter">
                        <a data-type="chapter-link" href="./miscellaneous.html" ><span class="fa fa-cubes"></span>Miscellaneous</a>
                    </li>
            
                    <li class="chapter">
                        <a data-type="chapter-link" href="./coverage.html" ><span class="fa fa-tasks"></span>Documentation coverage</a>
                    </li>
            
                    <li class="divider"></li>
                    <li class="copyright">
                            Documentation generated using <a href="https://compodoc.github.io/compodoc/" target="_blank">
                                        <img src=".//images/compodoc-vectorise.svg" class="img-responsive">
                            </a>
                    </li>
            
                </ul>
            
            </nav>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <nav>
                   
                       <ul class="list">
                   
                           <li class="title">
                               <a href="./">postamat-office documentation</a>
                           </li>
                   
                           <li class="divider"></li>
                   
                               <div id="book-search-input" role="search">
                                   <input type="text" placeholder="Type to search">
                               </div>
                   
                           <li class="chapter">
                               <a data-type="chapter-link" href="./"><span class="fa fa-home"></span>Getting started</a>
                               <ul class="links">
                                       <li class="link">
                                           <a href="./"  class="active" ><span class="fa fa-file-text-o"></span>README</a>
                                       </li>
                                       <li class="link">
                                           <a  href="./overview.html" 
                                               
                                                href="./overview.html" 
                                               
                                               >
                                               <span class="fa fa-th"></span>Overview
                                           </a>
                                       </li>
                               </ul>
                           </li>
                   
                           <li class="chapter">
                               <a data-type="chapter-link" href="./modules.html" >
                                   <span class="fa fa-archive"></span>
                                   <span>Modules</span>
                                   <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                           data-target="#modules-links"
                                   ></span>
                               </a>
                               <ul class="links collapse in"
                                       id="modules-links"
                   >
                                       <li class="link">
                                           <a href="modules/AboutModule.html" >AboutModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/AppModule.html" >AppModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/AuthModule.html" >AuthModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/HomeModule.html" >HomeModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/I18nModule.html" >I18nModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/SharedModule.html" >SharedModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/ShellModule.html" >ShellModule</a>
                                       </li>
                               </ul>
                           </li>
                   
                           <li class="chapter">
                               <div class="simple">
                                   <span class="fa fa-cogs"></span>
                                   <span>Components</span>
                                   <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                           data-target="#components-links"
                   ></span>
                               </div>
                               <ul class="links collapse in"
                                       id="components-links"
                   >
                                       <li class="link">
                                           <a href="components/AboutComponent.html" >AboutComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/AppComponent.html" >AppComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/AppSidebarComponent.html" >AppSidebarComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/HeaderComponent.html" >HeaderComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/HomeComponent.html" >HomeComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/LanguageSelectorComponent.html" >LanguageSelectorComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/LoaderComponent.html" >LoaderComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/LoginComponent.html" >LoginComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/ShellComponent.html" >ShellComponent</a>
                                       </li>
                               </ul>
                           </li>
                   
                   
                           <li class="chapter">
                               <div class="simple">
                                   <span class="fa fa-file-code-o"></span>
                                   <span>Classes</span>
                                   <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                           data-target="#classes-links"
                   ></span>
                               </div>
                               <ul class="links collapse in"
                                       id="classes-links"
                   >
                                       <li class="link">
                                           <a href="classes/Logger.html" >Logger</a>
                                       </li>
                                       <li class="link">
                                           <a href="classes/MockAuthenticationService.html" >MockAuthenticationService</a>
                                       </li>
                                       <li class="link">
                                           <a href="classes/MockCredentialsService.html" >MockCredentialsService</a>
                                       </li>
                                       <li class="link">
                                           <a href="classes/Shell.html" >Shell</a>
                                       </li>
                               </ul>
                           </li>
                   
                   
                           <li class="chapter">
                               <div class="simple">
                                   <span class="fa fa-long-arrow-down"></span>
                                   <span>Injectables</span>
                                   <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                           data-target="#injectables-links"
                   ></span>
                               </div>
                               <ul class="links collapse in"
                                       id="injectables-links"
                   >
                                       <li class="link">
                                           <a href="injectables/ApiPrefixInterceptor.html" >ApiPrefixInterceptor</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/AuthenticationGuard.html" >AuthenticationGuard</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/AuthenticationService.html" >AuthenticationService</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/CredentialsService.html" >CredentialsService</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/ErrorHandlerInterceptor.html" >ErrorHandlerInterceptor</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/I18nService.html" >I18nService</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/QuoteService.html" >QuoteService</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/RouteReusableStrategy.html" >RouteReusableStrategy</a>
                                       </li>
                               </ul>
                           </li>
                   
                           <li class="chapter">
                               <div class="simple">
                                   <span class="fa fa-info"></span>
                                   <span>Interfaces</span>
                                   <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                           data-target="#interfaces-links"
                   ></span>
                               </div>
                               <ul class="links collapse in"
                                       id="interfaces-links"
                   >
                                       <li class="link">
                                           <a href="interfaces/Credentials.html" >Credentials</a>
                                       </li>
                                       <li class="link">
                                           <a href="interfaces/LoginContext.html" >LoginContext</a>
                                       </li>
                                       <li class="link">
                                           <a href="interfaces/RandomQuoteContext.html" >RandomQuoteContext</a>
                                       </li>
                               </ul>
                           </li>
                   
                   
                           <li class="chapter">
                               <a data-type="chapter-link" href="./miscellaneous.html" ><span class="fa fa-cubes"></span>Miscellaneous</a>
                           </li>
                   
                           <li class="chapter">
                               <a data-type="chapter-link" href="./coverage.html" ><span class="fa fa-tasks"></span>Documentation coverage</a>
                           </li>
                   
                           <li class="divider"></li>
                           <li class="copyright">
                                   Documentation generated using <a href="https://compodoc.github.io/compodoc/" target="_blank">
                                               <img src=".//images/compodoc-vectorise.svg" class="img-responsive">
                                   </a>
                           </li>
                   
                       </ul>
                   
                   </nav>
               </div>
               <div class="content readme">
                   <div class="content-data">
<h1 id="postamatoffice">PostamatOffice</h1>
<p>This project was generated with <a href="https://github.com/ngx-rocket/generator-ngx-rocket/">ngX-Rocket</a><br>version 10.0.0</p>
<h1 id="getting-started">Getting started</h1>
<ol>
<li><p>Go to project folder and install dependencies:</p>
<pre><code class="hljs sh">npm install</code></pre></li>
<li><p>Launch development server, and open <code>localhost:4200</code> in your browser:</p>
<pre><code class="hljs sh">npm start</code></pre></li>
</ol>
<h1 id="project-structure">Project structure</h1>
<pre><code class="hljs undefined">dist/                        web app production build<br>docs/                        project docs and coding guides<br>src/                         project source code<br>|- app/                      app components<br>|  |- core/                  core module (singleton services and single-use components)<br>|  |- shared/                shared module  (common components, directives and pipes)<br>|  |- app.component.*        app root component (shell)<br>|  |- app.module.ts          app root module definition<br>|  |- app-routing.module.ts  app routes<br>|  +- ...                    additional modules and components<br>|- assets/                   app assets (images, fonts, sounds...)<br>|- environments/             values for various build environments<br>|- theme/                    app global scss variables and theme<br>|- translations/             translations files<br>|- index.html                html entry point<br>|- main.scss                 global style entry point<br>|- main.ts                   app entry point<br>|- polyfills.ts              polyfills needed by Angular<br>+- test.ts                   unit tests entry point<br>reports/                     test and coverage reports<br>proxy.conf.js                backend proxy configuration</code></pre><h1 id="main-tasks">Main tasks</h1>
<p>Task automation is based on <a href="https://docs.npmjs.com/misc/scripts">NPM scripts</a>.</p>
<table class="table table-bordered compodoc-table">
<thead>
<tr>
<th>Task</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><code>npm start</code></td>
<td>Run development server on <code>http://localhost:4200/</code></td>
</tr>
<tr>
<td><code>npm run build [-- --configuration=production]</code></td>
<td>Lint code and build web app for production (with <a href="https://angular.io/guide/aot-compiler">AOT</a>) in <code>dist/</code> folder</td>
</tr>
<tr>
<td><code>npm test</code></td>
<td>Run unit tests via <a href="https://karma-runner.github.io">Karma</a> in watch mode</td>
</tr>
<tr>
<td><code>npm run test:ci</code></td>
<td>Lint code and run unit tests once for continuous integration</td>
</tr>
<tr>
<td><code>npm run e2e</code></td>
<td>Run e2e tests using <a href="http://www.protractortest.org">Protractor</a></td>
</tr>
<tr>
<td><code>npm run lint</code></td>
<td>Lint code</td>
</tr>
<tr>
<td><code>npm run translations:extract</code></td>
<td>Extract strings from code and templates to <code>src/app/translations/template.json</code></td>
</tr>
<tr>
<td><code>npm run prettier</code></td>
<td>Automatically format all <code>.ts</code>, <code>.js</code> &amp; <code>.scss</code> files</td>
</tr>
</tbody>
</table>
<p>When building the application, you can specify the target configuration using the additional flag<br><code>--configuration &lt;name&gt;</code> (do not forget to prepend <code>--</code> to pass arguments to npm scripts).</p>
<p>The default build configuration is <code>prod</code>.</p>
<h2 id="development-server">Development server</h2>
<p>Run <code>npm start</code> for a dev server. Navigate to <code>http://localhost:4200/</code>. The app will automatically reload if you change<br>any of the source files.<br>You should not use <code>ng serve</code> directly, as it does not use the backend proxy configuration by default.</p>
<h2 id="code-scaffolding">Code scaffolding</h2>
<p>Run <code>npm run generate -- component &lt;name&gt;</code> to generate a new component. You can also use<br><code>npm run generate -- directive|pipe|service|class|module</code>.</p>
<p>If you have installed <a href="https://github.com/angular/angular-cli">angular-cli</a> globally with <code>npm install -g @angular/cli</code>,<br>you can also use the command <code>ng generate</code> directly.</p>
<h2 id="additional-tools">Additional tools</h2>
<p>Tasks are mostly based on the <code>angular-cli</code> tool. Use <code>ng help</code> to get more help or go check out the<br><a href="https://github.com/angular/angular-cli">Angular-CLI README</a>.</p>
<h2 id="code-formatting">Code formatting</h2>
<p>All <code>.ts</code>, <code>.js</code> &amp; <code>.scss</code> files in this project are formatted automatically using <a href="https://prettier.io">Prettier</a>,<br>and enforced via the <code>test:ci</code> script.</p>
<p>A pre-commit git hook has been configured on this project to automatically format staged files, using<br>(pretty-quick)[<a href="https://github.com/azz/pretty-quick]">https://github.com/azz/pretty-quick]</a>, so you don&#39;t have to care for it.</p>
<p>You can also force code formatting by running the command <code>npm run prettier</code>.</p>
<h1 id="what-s-in-the-box">What&#39;s in the box</h1>
<p>The app template is based on <a href="http://whatwg.org/html">HTML5</a>, <a href="http://www.typescriptlang.org">TypeScript</a> and<br><a href="http://sass-lang.com">Sass</a>. The translation files use the common <a href="http://www.json.org">JSON</a> format.</p>
<h4 id="tools">Tools</h4>
<p>Development, build and quality processes are based on <a href="https://github.com/angular/angular-cli">angular-cli</a> and<br><a href="https://docs.npmjs.com/misc/scripts">NPM scripts</a>, which includes:</p>
<ul>
<li>Optimized build and bundling process with <a href="https://webpack.github.io">Webpack</a></li>
<li><a href="https://webpack.github.io/docs/webpack-dev-server.html">Development server</a> with backend proxy and live reload</li>
<li>Cross-browser CSS with <a href="https://github.com/postcss/autoprefixer">autoprefixer</a> and<br><a href="https://github.com/ai/browserslist">browserslist</a></li>
<li>Asset revisioning for <a href="https://webpack.github.io/docs/long-term-caching.html">better cache management</a></li>
<li>Unit tests using <a href="http://jasmine.github.io">Jasmine</a> and <a href="https://karma-runner.github.io">Karma</a></li>
<li>End-to-end tests using <a href="https://github.com/angular/protractor">Protractor</a></li>
<li>Static code analysis: <a href="https://github.com/palantir/tslint">TSLint</a>, <a href="https://github.com/mgechev/codelyzer">Codelyzer</a>,<br><a href="http://stylelint.io">Stylelint</a> and <a href="http://htmlhint.com/">HTMLHint</a></li>
<li>Automatic code formatting with <a href="https://prettier.io">Prettier</a></li>
</ul>
<h4 id="libraries">Libraries</h4>
<ul>
<li><a href="https://angular.io">Angular</a></li>
<li><a href="https://getbootstrap.com">Bootstrap 4</a></li>
<li><a href="https://ng-bootstrap.github.io/">ng-bootsrap</a></li>
<li><a href="http://fontawesome.io">Font Awesome</a></li>
<li><a href="http://reactivex.io/rxjs">RxJS</a></li>
<li><a href="https://github.com/ngx-translate/core">ngx-translate</a></li>
<li><a href="https://lodash.com">Lodash</a></li>
<li><a href="https://momentjs.com">Moment.js</a></li>
</ul>
<h4 id="coding-guides">Coding guides</h4>
<ul>
<li><a href="docs/coding-guides/angular.md">Angular</a></li>
<li><a href="docs/coding-guides/typescript.md">TypeScript</a></li>
<li><a href="docs/coding-guides/sass.md">Sass</a></li>
<li><a href="docs/coding-guides/html.md">HTML</a></li>
<li><a href="docs/coding-guides/unit-tests.md">Unit tests</a></li>
<li><a href="docs/coding-guides/e2e-tests.md">End-to-end tests</a></li>
</ul>
<h4 id="other-documentation">Other documentation</h4>
<ul>
<li><a href="docs/i18n.md">I18n guide</a></li>
<li><a href="docs/corporate-proxy.md">Working behind a corporate proxy</a></li>
<li><a href="docs/updating.md">Updating dependencies and tools</a></li>
<li><a href="docs/backend-proxy.md">Using a backend proxy for development</a></li>
<li><a href="docs/routing.md">Browser routing</a></li>
</ul>












                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
           </div>
       </div>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/search/search.js"></script>
       <script src="./js/search/lunr.min.js"></script>
       <script src="./js/search/search-lunr.js"></script>

       <script src="./js/menu.js"></script>
       <script src="./js/libs/highlight.pack.js"></script>
       <script src="./js/libs/highlightjs-line-numbers.min.js"></script>
       <script src="./js/search/search_index.js"></script>
       <script>
            document.addEventListener('DOMContentLoaded', function() {
                hljs.initHighlightingOnLoad();
                hljs.initLineNumbersOnLoad();
            });
       </script>

    </body>
</html>
